com.h3c.of.lib.mp

## Class MBodyFlowStatsRequest

- java.lang.Object
- - com.h3c.of.lib.OpenflowStructure
  - - com.h3c.of.lib.mp.MBodyFlowStatsRequest

- All Implemented Interfaces:
    MultipartBody, Structure
  Direct Known Subclasses:
    MBodyMutableFlowStatsRequest

      public class MBodyFlowStatsRequest
      extends OpenflowStructure
      implements MultipartBody

  Represents a flow stats request (multipart body); Since 1.0.

- - ### Field Summary

    - ### Fields inherited from class com.h3c.of.lib.OpenflowStructure

      `version`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MBodyFlowStatsRequest(ProtocolVersion pv)` Constructs a multipart body FLOW type request.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getCookie()` Returns the cookie value that flow entries are required to match; Since 1.1.
    `long` | `getCookieMask()` Returns the mask used to restrict the cookie bits that must match; Since 1.1.
    `Match` | `getMatch()` Returns the match describing the fields that flow entries should match; Since 1.0.
    `GroupId` | `getOutGroup()` Returns the output group that flow entries are required to match; Since 1.1.
    `BigPortNumber` | `getOutPort()` Returns the output port that flow entries are required to match; Since 1.0.
    `TableId` | `getTableId()` Returns the ID of the table to read; Since 1.0.
    `int` | `getTotalLength()` Returns the total length of the body, in bytes.
    `String` | `toDebugString()` Returns a string representation useful for debugging.
    `String` | `toString()`
    `void` | `validate()` Validates this structure for completeness and throws an exception if the structure is considered "not complete".

    - ### Methods inherited from class com.h3c.of.lib.OpenflowStructure

      `getVersion, hex, hex`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.h3c.of.lib.Structure

      `getVersion`

- - ### Constructor Detail

    - #### MBodyFlowStatsRequest

          public MBodyFlowStatsRequest(ProtocolVersion pv)

      Constructs a multipart body FLOW type request.
      Parameters:
        `pv` - the protocol version

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `OpenflowStructure`

    - #### toDebugString

          public String toDebugString()

      Description copied from class: `OpenflowStructure`
      Returns a string representation useful for debugging. This default implementation delegates to `OpenflowStructure.toString()`, but subclasses are free to override this behavior.
      Specified by:
        `toDebugString` in interface `Structure`
      Overrides:
        `toDebugString` in class `OpenflowStructure`
      Returns:
        a (possibly multi-line) string representation of this message

    - #### validate

          public void validate()
                        throws IncompleteStructureException

      Description copied from class: `OpenflowStructure`
      Validates this structure for completeness and throws an exception if the structure is considered "not complete".

      This default implementation does nothing, i.e. default behavior is that structures are considered complete.

      Subclasses should override this method to check that mandatory fields or other internal state is present, throwing an exception if it is not.

      Specified by:
        `validate` in interface `MultipartBody`
      Overrides:
        `validate` in class `OpenflowStructure`
      Throws:
        `IncompleteStructureException` - if the structure is not complete

    - #### getTotalLength

          public int getTotalLength()

      Description copied from interface: `MultipartBody`
      Returns the total length of the body, in bytes.
      Specified by:
        `getTotalLength` in interface `MultipartBody`
      Returns:
        the total length of the body

    - #### getTableId

          public TableId getTableId()

      Returns the ID of the table to read; Since 1.0.

      A value of `TableId.ALL` indicates all tables.

      Returns:
        the table id

    - #### getOutPort

          public BigPortNumber getOutPort()

      Returns the output port that flow entries are required to match; Since 1.0.

      A value of `Port.ANY` indicates no restriction.

      Returns:
        the required out port

    - #### getOutGroup

          public GroupId getOutGroup()

      Returns the output group that flow entries are required to match; Since 1.1.

      A value of `GroupId.ALL` indicates no restriction.

      For 1.0, this method will always return null.

      Returns:
        the required out group

    - #### getCookie

          public long getCookie()

      Returns the cookie value that flow entries are required to match; Since 1.1.

      For 1.0, this method will always return 0.

      Returns:
        the required cookie value
      See Also:
        `getCookieMask()`

    - #### getCookieMask

          public long getCookieMask()

      Returns the mask used to restrict the cookie bits that must match; Since 1.1.

      A value of 0 indicates no restriction.

      For 1.0, this method will always return 0.

      Returns:
        the cookie mask
      See Also:
        `getCookie()`

    - #### getMatch

          public Match getMatch()

      Returns the match describing the fields that flow entries should match; Since 1.0.
      Returns:
        the required match

Copyright © 2014. All Rights Reserved.